apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: kyverno-deploy
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "-4"
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  # Where we are deploying to
  destination:
    namespace: kyverno
    server: https://kubernetes.default.svc
  # Which project this Application belongs to
  project: default
  # Where this Application has its source
  source:
    # Helm specifc values
    chart: kyverno
    repoURL: https://kyverno.github.io/kyverno/
    targetRevision: 2.1.7
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
      allowEmpty: true
    syncOptions:
      - CreateNamespace=true
      - Validate=false
